package com.cloudwords.api.client.resources;

import java.util.List;
/**
 * Represents a Translation Request for the Customer Silo
 *
 * @author cchandr
 * @since feni
 */
public class CustomerTranslationRequest extends TranslationRequest {

    private List<Vendor> preferredVendors;
    private BidOptions options;
    
    public CustomerTranslationRequest() {}
    
    public CustomerTranslationRequest(boolean requiresBidding) {
        this.requiresBidding = requiresBidding;
    }
    
    public List<Vendor> getPreferredVendors() {
        return preferredVendors;
    }
    public void setPreferredVendors(List<Vendor> preferredVendors) {
        this.preferredVendors = preferredVendors;
    }
    public BidOptions getOptions() {
        return options;
    }
    public void setOptions(BidOptions options) {
        this.options = options;
    }

}
