package com.cloudwords.api.client.resources;

public class BaseResource {

    private String path;

    /**
     * Get the API-accessible path to this object. This is the HTTP accessible path to perform a GET on the
     * object. Please refer to the API documentation for more detail.
     * 
     * @return path
     */
    public String getPath() {
        return path;
    }

    /**
     * Set the API-accessible path to this object. (Note: The path is a read-only field with Cloudwords API -
     * Cloudwords will automatically calculate the API-accessible path on any object representation returned from
     * the API).
     * 
     * @param path
     */
    public void setPath(String path) {
        this.path = path;
    }

}
