package com.cloudwords.api.client.resources;
/**
 * 
 * Represents a bid options resource
 *
 * @author cchandr
 * @since feni
 */
public class BidOptions {

    private boolean doLetCloudwordsChoose;
    private boolean doAutoSelectBidFromVendor;
    private Integer winningBidId;
    
    public BidOptions() {}
    
    public BidOptions(String id) {}
    
    public BidOptions(boolean doLetCloudwordsChoose, boolean doAutoSelectBidFromVendor, Integer winningBidId) {
        super();
        this.doLetCloudwordsChoose = doLetCloudwordsChoose;
        this.doAutoSelectBidFromVendor = doAutoSelectBidFromVendor;
        this.winningBidId = winningBidId;
    }

    public boolean isDoLetCloudwordsChoose() {
        return doLetCloudwordsChoose;
    }
    public void setDoLetCloudwordsChoose(boolean doLetCloudwordsChoose) {
        this.doLetCloudwordsChoose = doLetCloudwordsChoose;
    }
    public boolean isDoAutoSelectBidFromVendor() {
        return doAutoSelectBidFromVendor;
    }
    public void setDoAutoSelectBidFromVendor(boolean doAutoSelectBidFromVendor) {
        this.doAutoSelectBidFromVendor = doAutoSelectBidFromVendor;
    }
    public Integer getWinningBidId() {
        return winningBidId;
    }
    public void setWinningBidId(Integer winningBidId) {
        this.winningBidId = winningBidId;
    }
}
