package com.cloudwords.api.client.resources;

/**
 * Wraps a {@link ChangeOrderBid} resource with additional data specific/viewable to translation Customers. 
 * @author cchandr
 * @since 1.12.1
 */
public class CustomerChangeOrderBid extends ChangeOrderBid {

    private CodeAndDisplay status;

    /**
     * Get the Cloudwords {@link CustomerChangeOrderBid} status.
     * @return Returns the status.
     */
    public CodeAndDisplay getStatus() {
        return status;
    }

    /**
     * Sets the Cloudwords {@link CustomerChangeOrderBid} status.
     * @param status The status to set.
     */
    public void setStatus(CodeAndDisplay status) {
        this.status = status;
    }
    
}
